#include "persona.h"
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

void print_persona(Persona *p){
    printf("%s %s\t", p->nome, p->cognome);
}

Persona *ins_persona(Persona *lista, char *nome, char *cognome){
    Persona *new=malloc(sizeof(Persona));
    new->nome=strdup(nome);
    new->cognome=strdup(cognome);
    new->next=lista;
    return new;
}

Persona *cerca_persona(Persona *lista, char *nome, char *cognome){
    if (lista==NULL) return NULL;
    if (strcmp(lista->nome,nome)==0 && strcmp(lista->cognome,cognome)==0) return lista;
    return cerca_persona(lista->next, nome, cognome);
}

